Retrieve a user
Retrieve an existing user by providing its ID.
- USER_RETRIEVE_START
- USER_RETRIEVE_SUCCESS
- USER_RETRIEVE_FAIL
Roles
bearerAuthAuthorizationBearer <JWT>id*stringUser ID
uuidUser retrieved
application/json- response
id?stringUser unique identifier.
uuidclaims?User claims.
claimSets?User claims persisted per claim set, keyed by credential configuration identifier and then by claim set identifier. Only present when claim sets are persisted for this user.
This does not list the claim sets the user has been issued credentials for. To find those, use claimSetId on the user's credential references or credential bundles.
Claim set identifiers are offered as an open beta preview feature and are not generally available yet. They are available on all tenants, and their behavior may change in a way that breaks existing integrations before they become generally available.
authenticationProvider?Authentication Provider information for the user.
curl -X GET 'https://example.vii.au01.mattr.global/v1/users/8241400f-de3b-42c5-ad7c-8a380039e796'{ "id": "0c3fad74-a8df-4a2d-8e75-f2d356b413ba", "claims": { "externalUserId": "0c3fad74-a8df-4a2d-8e75-f2d356b413ba" }, "claimSets": { "707e920a-f342-443b-ae24-6946b7b5033e": { "claim-set-id-1": { "givenName": "Alice" }, "claim-set-id-2": { "givenName": "Bob" } } }, "authenticationProvider": { "providerId": "41458e5a-9092-40b7-9a26-d4eb43c5792f", "url": "https://example-university.au.auth0.com", "subjectId": "example-university-oauth2|123456789" }}How would you rate this page?